{% extends 'base.html.twig' %}

{% block title %}QuestionBinary index{% endblock %}

{% block body %}
    <h1>QuestionBinary index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Text</th>
                <th>Right Answer</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for question_binary in question_binaries %}
            <tr>
                <td>{{ question_binary.id }}</td>
                <td>{{ question_binary.text }}</td>
                <td>{{ question_binary.rightAnswer ? 'Yes' : 'No' }}</td>
                <td>
                    <a href="{{ path('app_question_binary_edit', {'id': question_binary.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    {% if question_binaries|length < 10 %}
        <a href="{{ path('app_question_binary_new') }}">Create new</a>
    {% endif %}
{% endblock %}
